ShuffleChannelInitializer (Apache Hadoop MapReduce Shuffle 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, class: ShuffleChannelInitializer

Package org.apache.hadoop.mapred

# Class ShuffleChannelInitializer

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>
org.apache.hadoop.mapred.ShuffleChannelInitializer

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class ShuffleChannelInitializer extends io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_CONTENT_LENGTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShuffleChannelInitializer(ShuffleChannelHandlerContext ctx, org.apache.hadoop.security.ssl.SSLFactory sslFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initChannel(io.netty.channel.socket.SocketChannel ch)`

  ### Methods inherited from class io.netty.channel.ChannelInitializer

  `channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

  ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_CONTENT_LENGTH

    public static final int MAX_CONTENT_LENGTH
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ShuffleChannelInitializer

    public ShuffleChannelInitializer(ShuffleChannelHandlerContext ctx, org.apache.hadoop.security.ssl.SSLFactory sslFactory)

- ## Method Details

  - ### initChannel

    public void initChannel(io.netty.channel.socket.SocketChannel ch) throws GeneralSecurityException, IOException
    Specified by:
      `initChannel` in class `io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>`
    Throws:
      `GeneralSecurityException`
      `IOException`